DPGEN_CONST(3)

NAME
DPGEN_CONST - Constant Macro-Generator

SYNOPSIS
#include <genlib.h>

void GENLIB_MACRO(
	DPGEN_CONST,
	char *modelname,
	long flags,
	long N,
	char *constVal0
);
.SH "DESCRIPTION"

Generate a N bits constant named modelname.

  TERMINAL NAMES

1.  q : the constant (output, N bit).

2.  vdd : power.

3.  vss : ground.

  BEHAVIOR

q <= constVal;

EXAMPLE

GENLIB_MACRO(DPGEN_CONST, "model_const_0xFFFF0000"
                       , F_BEHAV|F_PLACE
                       , 4
                       , "0xFFFF0000"  /* A string! */
                       );
GENLIB_LOINS( "model_const_0xFFFF0000"
            , "instance1_const_0xFFFF0000"
            , "q[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)